[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.GetRawImagePtr

Gets a pointer with the raw image data.

## Declaration

Source position: graphics.pp line 1403

`protected function TCustomBitmap.GetRawImagePtr: PRawImage; override;`

## Function result

Pointer to the TRawImage instance for the shared bitmap image.

## Description

Calls RawImageNeeded to ensure that the image descriptor, save stream, and handle are valid for the shared Bitmap image. Calls the CreateData method in the raw image pointer (when needed) prior to exiting from the method.

## See also

TRasterImage.GetRawImagePtr |  | Gets a pointer with the raw image data.